Package com.mckoi.database

## Class UserManager

- java.lang.Object
- - com.mckoi.database.UserManager

    public final class UserManager
    extends java.lang.Object

A class that manages the list of users connected to the engine.

This class is thread safe, however it is recommended that the callee should synchronize over this object when inspecting a subset of the user list. The reason being that a user can connect or disconnect at any time.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Concrete Methods
`User` `userAt​(int n)` Returns the User object at index 'n' in the manager where 0 is the first user.
`int` `userCount()` Returns the number of users that are logged in.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### userCount

    public int userCount()

Returns the number of users that are logged in.

#### userAt

    public User userAt​(int n)

Returns the User object at index 'n' in the manager where 0 is the first user.